# definitely no standard class
# k8s.mid.internal.skao.int

minikube: false

# very important for handling the reverse proxy
ingress:
  enabled: true
  proxy: true

librenmsredis:
  enabled: true
  tz: "{{ k8s_librenms_tz }}"

librenmssyslogng:
  enabled: true
  tz: "{{ k8s_librenms_tz }}"
  enabled: true
  hostPort: true
  nodeSelector: {{ k8s_librenms_syslog_node_selector }}
  tolerations: {{ k8s_librenms_syslog_tolerations }}
  tz: Etc/UTC
  inpod: false # not combined with librenms
  split: true # split out into other deployment

# use externally defined DB
librenmsdb:
  enabled: false
  db:
    db: librenms
    rootpw: "{{ k8s_librenms_db_root_password }}"
    port: "3306"
    user: librenms
    password: "{{ k8s_librenms_db_password }}"

# use a PV for the data volume
librenms:
  use_pv: true
  create_data_volume: false
  env:
    - name: SESSION_SECURE_COOKIE
      value: 'true'
    - name: TZ
      value: "{{ k8s_librenms_tz }}"
    - name: PUID
      value: "1000"
    - name: PGID
      value: "1000"
    - name: MEMORY_LIMIT
      value: "256M"
    - name: MAX_INPUT_VARS
      value: "1000"
    - name: UPLOAD_MAX_SIZE
      value: "16M"
    - name: OPCACHE_MEM_SIZE
      value: "128"
    - name: REAL_IP_FROM
      value: "0.0.0.0/32"
    - name: REAL_IP_HEADER
      value: "X-Forwarded-For"
    - name: LOG_IP_VAR
      value: "remote_addr"
    - name: CACHE_DRIVER
      value: "redis"
    - name: SESSION_DRIVER
      value: "redis"
    - name: LIBRENMS_SNMP_COMMUNITY
      value: "librenmsdocker"
    - name: LIBRENMS_WEATHERMAP
      value: "false"
    - name: LIBRENMS_WEATHERMAP_SCHEDULE
      value: "*/5 * * * *"

  service:
    type: LoadBalancer

  resources:
    requests:
      cpu: 1000m      # 100m = 0.1 CPU
      memory: 1Gi     # 256Mi = 0.25 GB mem
      ephemeral-storage: 1Gi
    limits:
      cpu: 2000m     # 200m = 0.2 CPU
      memory: 2Gi  # 256Mi = 0.25 GB mem
      ephemeral-storage: 2Gi
